Skip to content

Account Transactions

| View as Markdown

This API will return all the transactions done in partner’s account by the merchant. We will pass date range to get the payout details and no of rows in response then we will get payment details like amount, balance, and description.

get

http://kraken.airpay.co.in:8000/payout/partner/transactions
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/json
Authorization requiredStringThe token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication.JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT
ParameterType ValueDescriptionValue Like
from_date requiredDateTransaction created from date. (Y-m-d)
to_date requiredDateTransaction created to date.(Y-m-d)
offset requiredNumericWhich row to start retrieve from)
limit requiredNumericNumber of rows in response. (Maximum is 100)
ParameterType ValueDescriptionValue Like
status requiredAlphanumericsuccess / errorsuccess
message requiredAlphanumericResponse description
errors requiredArrayError messages if response status is ‘error’
data requiredArrayResponse data
created_datetime requiredDateTimeTransaction date and time (Y-m-d H:i:s)2022-02-09 08:46:50
entry_side requiredAlphanumericdebit / creditdebit
amount requiredNumericTransaction amount5
balance requiredNumericBalance in account4595
description requiredAlphanumericfee/2022JAN/18” Transaction descriptionTransfer
approved_transfers_count requiredNumericNumber of transfers approved by airpay1
processing_transfers_count requiredNumericNumber of transfers in process1
success_transfers_count requiredNumericNumber of successful transfers0
failure_transfers_count requiredNumericNumber of failed transfers1
rejected_transfers_count requiredNumericNumber transfers rejected by airpay1
GET 'partner/transactions?offset=0&limit=25&from_date=2022-01-01&to_date=2022-01-31'
{
"status": "success",
"message": "Transactions",
"data": [
{
"transfer_number": "18",
"created_datetime": "2022-02-09 08:46:50",
"entry_side": "debit",
"type": "payout",
"amount": 5,
"currency": "INR",
"balance": 4595,
"description": "Transfer fee/2022JAN/18"
},
{
"transfer_number": "18",
"created_datetime": "2022-02-09 08:46:21",
"entry_side": "debit",
"type": "payout",
"amount": 400,
"currency": "INR",
"balance": 4600,
"description": "Transfer/2022JAN/18"
}
]
}